golf_prelude.c File Reference
`#include "ruby/ruby.h"`
`#include "internal.h"`
`#include "vm_core.h"`

Go to the source code of this file.

## Macros

#define | PRELUDE_COUNT 0

## Functions

static void | prelude_eval (VALUE code, VALUE name, VALUE line)
void | Init_golf (void)

## Variables

static const char | prelude_name0 [] = "<internal:golf_prelude>"
static const char | prelude_code0 []

## Macro Definition Documentation

#define PRELUDE_COUNT 0

Definition at line 137 of file golf_prelude.c.

## Function Documentation

void Init_golf | ( | void |  | ) |

Definition at line 147 of file golf_prelude.c.

References INT2FIX, prelude_code0, prelude_eval(), prelude_name0, and rb_usascii_str_new().

Referenced by init_golf().

static void prelude_eval | ( | VALUE | code,
|  | VALUE | name,
|  | VALUE | line
| ) |  |

static

Definition at line 141 of file golf_prelude.c.

References Qnil, Qtrue, rb_iseq_compile_with_option(), and rb_iseq_eval().

Referenced by Init_golf().

## Variable Documentation

const char prelude_code0[]

static

Definition at line 12 of file golf_prelude.c.

Referenced by Init_golf().

const char prelude_name0[] = "<internal:golf_prelude>"

static

Definition at line 11 of file golf_prelude.c.

Referenced by Init_golf().